VULKAN_HPP_NAMESPACE::MappedMemoryRange Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::MappedMemoryRange:
[legend]

## Public Member Functions

| MappedMemoryRange (DeviceMemory memory_=DeviceMemory(), DeviceSize offset_=0, DeviceSize size_=0)
| MappedMemoryRange (VkMappedMemoryRange const &rhs)
MappedMemoryRange & | operator= (VkMappedMemoryRange const &rhs)
MappedMemoryRange & | setPNext (const void *pNext_)
MappedMemoryRange & | setMemory (DeviceMemory memory_)
MappedMemoryRange & | setOffset (DeviceSize offset_)
MappedMemoryRange & | setSize (DeviceSize size_)
| operator VkMappedMemoryRange const & () const
| operator VkMappedMemoryRange & ()
bool | operator== (MappedMemoryRange const &rhs) const
bool | operator!= (MappedMemoryRange const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceMemory | memory
DeviceSize | offset
DeviceSize | size

## Private Attributes

StructureType | sType = StructureType::eMappedMemoryRange

## Detailed Description

Definition at line 9780 of file vulkan.hpp.

## Constructor & Destructor Documentation

## MappedMemoryRange() [1/2]

VULKAN_HPP_NAMESPACE::MappedMemoryRange::MappedMemoryRange | ( | DeviceMemory | memory_ = `DeviceMemory()`,
|  | DeviceSize | offset_ = `0`,
|  | DeviceSize | size_ = `0`
| ) |  |

inline

Definition at line 9782 of file vulkan.hpp.

: memory( memory_ )
, offset( offset_ )
, size( size_ )
{
}

## MappedMemoryRange() [2/2]

VULKAN_HPP_NAMESPACE::MappedMemoryRange::MappedMemoryRange | ( | VkMappedMemoryRange const & | rhs | ) |

inline

Definition at line 9791 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MappedMemoryRange ) );
}

References memcpy.

## Member Function Documentation

## operator VkMappedMemoryRange &()

VULKAN_HPP_NAMESPACE::MappedMemoryRange::operator VkMappedMemoryRange & | ( |  | ) |

inline

Definition at line 9830 of file vulkan.hpp.

{
return *reinterpret_cast<VkMappedMemoryRange*>(this);
}

## operator VkMappedMemoryRange const &()

VULKAN_HPP_NAMESPACE::MappedMemoryRange::operator VkMappedMemoryRange const & | ( |  | ) | const

inline

Definition at line 9825 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMappedMemoryRange*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MappedMemoryRange::operator!= | ( | MappedMemoryRange const & | rhs | ) | const

inline

Definition at line 9844 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

MappedMemoryRange& VULKAN_HPP_NAMESPACE::MappedMemoryRange::operator= | ( | VkMappedMemoryRange const & | rhs | ) |

inline

Definition at line 9796 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MappedMemoryRange ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::MappedMemoryRange::operator== | ( | MappedMemoryRange const & | rhs | ) | const

inline

Definition at line 9835 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memory == rhs.memory )
&& ( offset == rhs.offset )
&& ( size == rhs.size );
}

References memory, offset, pNext, size, and sType.

Referenced by operator!=().

## setMemory()

MappedMemoryRange& VULKAN_HPP_NAMESPACE::MappedMemoryRange::setMemory | ( | DeviceMemory | memory_ | ) |

inline

Definition at line 9807 of file vulkan.hpp.

{
memory = memory_;
return *this;
}

## setOffset()

MappedMemoryRange& VULKAN_HPP_NAMESPACE::MappedMemoryRange::setOffset | ( | DeviceSize | offset_ | ) |

inline

Definition at line 9813 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## setPNext()

MappedMemoryRange& VULKAN_HPP_NAMESPACE::MappedMemoryRange::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 9801 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSize()

MappedMemoryRange& VULKAN_HPP_NAMESPACE::MappedMemoryRange::setSize | ( | DeviceSize | size_ | ) |

inline

Definition at line 9819 of file vulkan.hpp.

{
size = size_;
return *this;
}

## Field Documentation

## memory

DeviceMemory VULKAN_HPP_NAMESPACE::MappedMemoryRange::memory

Definition at line 9854 of file vulkan.hpp.

Referenced by operator==().

## offset

DeviceSize VULKAN_HPP_NAMESPACE::MappedMemoryRange::offset

Definition at line 9855 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::MappedMemoryRange::pNext = nullptr

Definition at line 9853 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## size

DeviceSize VULKAN_HPP_NAMESPACE::MappedMemoryRange::size

Definition at line 9856 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::MappedMemoryRange::sType = StructureType::eMappedMemoryRange

private

Definition at line 9850 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MappedMemoryRange::offset
DeviceSize offset
Definition: vulkan.hpp:9855
offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VULKAN_HPP_NAMESPACE::MappedMemoryRange::sType
StructureType sType
Definition: vulkan.hpp:9850
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::MappedMemoryRange::pNext
const void * pNext
Definition: vulkan.hpp:9853
memory
GLsizei GLenum GLsizei GLsizei GLuint memory
Definition: gl2ext.h:1474
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537
VULKAN_HPP_NAMESPACE::MappedMemoryRange::MappedMemoryRange
MappedMemoryRange(DeviceMemory memory_=DeviceMemory(), DeviceSize offset_=0, DeviceSize size_=0)
Definition: vulkan.hpp:9782
VULKAN_HPP_NAMESPACE::MappedMemoryRange::size
DeviceSize size
Definition: vulkan.hpp:9856
VULKAN_HPP_NAMESPACE::MappedMemoryRange::operator==
bool operator==(MappedMemoryRange const &rhs) const
Definition: vulkan.hpp:9835
VkMappedMemoryRange
Definition: vulkan_core.h:2078
VULKAN_HPP_NAMESPACE::MappedMemoryRange::memory
DeviceMemory memory
Definition: vulkan.hpp:9854